Name:           netbsd-iscsi
Version:        20080207
Release:        4%{?dist}
Summary:        User-space implementation of iSCSI target from NetBSD project

Group:          System Environment/Daemons
License:        BSD
URL:            http://NetBSD.org/
Source0:        http://www.alistaircrooks.co.uk/src/netbsd-iscsi-%{version}.tar.gz
Source1:        netbsd-iscsi.sysvinit
Source2:        netbsd-iscsi.sysconfig
Patch0:         netbsd-iscsi-20071205-linux.patch
Patch1:         netbsd-iscsi-20080207-utf8.patch
Patch2:         netbsd-iscsi-20080207-allocate.patch

Requires(post): chkconfig
Requires(preun): chkconfig
Requires(preun): initscripts
Requires(postun): initscripts

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
NetBSD iSCSI is an iSCSI target following the iSCSI RFC 3720.  It is based
on the BSD-licensed Intel iSCSI reference model.  It has been tried and
tested with the Microsoft iSCSI initiator, version 1.06.


%prep
%setup -q
%patch0 -p1 -b .linux
%patch1 -p1 -b .utf8
%patch2 -p1 -b .allocate


%build
cd src
%configure
make %{?_smp_mflags} all


%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_sbindir}
install -d $RPM_BUILD_ROOT%{_sysconfdir}/iscsi
install -d $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
install -d $RPM_BUILD_ROOT%{_mandir}/man8
install -d $RPM_BUILD_ROOT%{_mandir}/man5
install -d $RPM_BUILD_ROOT%{_initrddir}

install -m 755 src/iscsi-target $RPM_BUILD_ROOT%{_sbindir}
install -m 644 src/iscsi-target.8 $RPM_BUILD_ROOT%{_mandir}/man8
install -m 644 src/etc/targets  $RPM_BUILD_ROOT%{_sysconfdir}/iscsi
install -m 644 src/targets.5    $RPM_BUILD_ROOT%{_mandir}/man5

install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_initrddir}/netbsd-iscsi
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/netbsd-iscsi


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/chkconfig --add netbsd-iscsi


%preun
if [ $1 = 0 ] ; then
    /sbin/service netbsd-iscsi stop >/dev/null 2>&1
    /sbin/chkconfig --del netbsd-iscsi
fi


%postun
if [ "$1" -ge "1" ] ; then
    /sbin/service netbsd-iscsi condrestart >/dev/null 2>&1 || :
fi


%files
%defattr(-,root,root,-)
%dir %{_sysconfdir}/iscsi
%config(noreplace) %{_sysconfdir}/iscsi/targets
%config(noreplace) %{_sysconfdir}/sysconfig/netbsd-iscsi
%{_initrddir}/netbsd-iscsi
%{_sbindir}/iscsi-target
%{_mandir}/man5/targets.5*
%{_mandir}/man8/iscsi-target.8*
%doc doc/license doc/README doc/README_OSD
%doc doc/COMPATIBILITY doc/FAQ doc/PERFORMANCE


%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20080207-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20080207-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20080207-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Oct 3 2008 Lubomir Rintel <lkundrak@v3.sk> - 20080207-1
- Update to more recent upstream code
- Remove the silly prealocation code (#465533)

* Mon Jul 28 2008 Lubomir Rintel <lkundrak@v3.sk> 20071205-3
- Init script (thanks to Saturo Sato)

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 20071205-2
- Autorebuild for GCC 4.3

* Wed Dec 05 2007 Lubomir Kundrak <lkundrak@redhat.com> 20071205-1
- Initial package
